.item-filling {
    color: white;
    font-weight: 600;
    font-size: rem(12);
    line-height: rem(18);
    cursor: pointer;
    overflow: hidden;
    position: relative;
    border-radius: rem(8);

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        display: block;
        position: absolute;
        background: linear-gradient(180deg, rgba(0,0,0,0) 0%, rgba(0,0,0,1) 100%);
        transition: var(--transition-time);
    }

    &:after {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        content: '';
        display: block;
        position: absolute;
        border-radius: rem(8);
        border: 2px solid var(--orange);
        opacity: 0;
        visibility: hidden;
        transition: var(--transition-time);
    }

    &__content {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 20;
        display: block;
        padding: rem(8);
        position: absolute;
    }

    &__link {
        color: var(--orange);
        text-decoration: none;

        &:hover {
            color: var(--orange-hover);
            text-decoration: none;
        }
    }

    &:hover {

        &:before {
            background: linear-gradient(180deg, rgba(0,0,0,0.25) 0%, rgba(0,0,0,1) 100%);
            transition: var(--transition-time);
        }
    }

    &.active {

        &:after {
            opacity: 1;
            visibility: visible;
            transition: var(--transition-time);
        }
    }
}


[data-filling] {
    overflow: visible;

    .swiper-slide {
        height: auto;
        width: rem(160);
    }

    @include media-breakpoint-up(md) {
        overflow: hidden;

        .swiper-slide {
            width: auto;
        }
    }
}

[data-decor] {
    overflow: visible;

    .swiper-slide {
        height: auto;
        width: rem(160);
    }

    @include media-breakpoint-up(md) {
        overflow: hidden;

        .swiper-slide {
            width: auto;
        }
    }
}
